# class WebHook

### Public Instance Methods

execute(data) click to toggle source

    # File app/models/web_hook.rb, line 12
    def execute(data)
      parsed_url = URI.parse(url)
      if parsed_url.userinfo.blank?
        WebHook.post(url, body: data.to_json, headers: { "Content-Type" => "application/json" })
      else
        post_url = url.gsub("#{parsed_url.userinfo}@", "")
        WebHook.post(post_url,
                     body: data.to_json,
                     headers: {"Content-Type" => "application/json"},
                     basic_auth: {username: parsed_url.user, password: parsed_url.password})
      end
    end